community/py3-pip: upgrade to 21.0.1

- upstream dropped python2 support
- I beleive we don't need (to package) sphinxcontrib-towncrier
- change upstream source, why not?
7 jobs for !20272 with upgrade-py3-pip in 9 minutes and 44 seconds
latest detached
Status Job ID Name Coverage
  Lint
passed #371170
docker-alpine x86_64
lint

00:00:19

 
  Build
passed #371175
docker-alpine ci-build aarch64
build-aarch64

00:01:39

passed #371176
docker-alpine ci-build armv7
build-armv7

00:01:23

passed #371174
docker-alpine ci-build ppc64le
build-ppc64le

00:01:44

passed #371173
docker-alpine ci-build s390x
build-s390x

00:06:50

passed #371172
docker-alpine ci-build x86
build-x86

00:00:47

passed #371171
docker-alpine ci-build x86_64
build-x86_64

00:00:37